#
# spec file for package python-spyder-notebook
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-spyder-notebook
Version:        0.1.3
Release:        bp155.2.10
Summary:        Jupyter notebook integration with Spyder
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/spyder-ide/spyder-notebook
Source:         https://files.pythonhosted.org/packages/source/s/spyder-notebook/spyder-notebook-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Spyder, the Scientific Python Development Environment, is an
IDE for researchers, engineers and data analysts.

This package contains the plugin that allows Spyder to control
breakpoints.

%package -n spyder3-notebook
Summary:        Jupyter Notebook plugin for the Spyder3 IDE
Group:          Development/Languages/Python
Requires:       python3-QtPy
Requires:       python3-jupyter_nbformat
Requires:       python3-jupyter_notebook >= 4.3
Requires:       python3-psutil
Requires:       python3-requests
Requires:       spyder3 >= 3.2.0

%description -n spyder3-notebook
Spyder, the Scientific Python Development Environment, is an
IDE for researchers, engineers and data analysts.

This package contains the plugin that allows Spyder to control
breakpoints.

%prep
%setup -q -n spyder-notebook-%{version}
sed -i 's/\r$//' CHANGELOG.md README.md

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files -n spyder3-notebook
%defattr(-,root,root,-)
%doc CHANGELOG.md README.md
%license LICENSE
%{python3_sitelib}/*

%changelog
* Fri Jun  5 2020 Max Lin <mlin@suse.com>
- Disable python2 build
* Sat Dec 22 2018 Todd R <toddrme2178@gmail.com>
- Update to 0.1.3
  + Issues Closed
  * Tests leave temporary directories in the home dir
  * test_open_notebook fails when running tests twice in a row
  * Set up pep8speaks
  * Make plugin compatible with Spyder's split-plugins change
  * Be more robust when starting notebook
  * Migrate to CircleCI 2.0
  * TypeError when parsing JSON when shutting kernel down
  * Opening console for notebook without kernel yields an error
  * Spyder notebook complains about missing file or directory: 'jupyter'
  + Pull Requests Merged
  * PR: Display error when opening console for notebook with no kernel
  * PR: Do not call the jupyter executable when opening notebooks ([157](https://github.com/spyder-ide/spyder-notebook/issues/157), [141](https://github.com/spyder-ide/spyder-notebook/issues/141))
  * PR: Remove temporary directory created in test_open_notebook()
  * PR: Update to Spyder 4 after the split-plugins merge
  * PR: Make tests use a temporary directory
  * PR: More robust parsing of server reply in NotebookClient.get_kernel_id()
  * PR: Upgrade to CircleCI v2.0
* Thu Aug 16 2018 jengelh@inai.de
- Trim filler wording from description.
* Mon Aug 13 2018 toddrme2178@gmail.com
- Update description per upstream request.
* Tue Sep 12 2017 toddrme2178@gmail.com
- Initial version
